
(DEFINE (DOMAIN LOGISTICS)
 (:REQUIREMENTS :STRIPS :TYPING)
 (:TYPES
   DXB QXV YXR - OBJECT
   RAB UVT - QXV
   QGZ VWL - RAB
   BPX WDC - YXR)
 (:PREDICATES (IN-CITY ?LOC - YXR ?CITY - DXB)
  (AT ?OBJ - QXV ?LOC - YXR) (IN ?PKG - UVT ?VEH - RAB))
 (:ACTION TCH :PARAMETERS (?PKG - UVT ?TRUCK - VWL ?LOC - YXR)
  :PRECONDITION
  (AND
    (AT ?TRUCK ?LOC)
    (AT ?PKG ?LOC))
  :EFFECT
  (AND
    (NOT (AT ?PKG ?LOC))
    (IN ?PKG ?TRUCK)))
 (:ACTION SMY :PARAMETERS (?PKG - UVT ?AIRPLANE - QGZ ?LOC - YXR)
  :PRECONDITION
  (AND
    (AT ?PKG ?LOC)
    (AT ?AIRPLANE ?LOC))
  :EFFECT
  (AND
    (NOT (AT ?PKG ?LOC))
    (IN ?PKG ?AIRPLANE)))
 (:ACTION JHM :PARAMETERS (?PKG - UVT ?TRUCK - VWL ?LOC - YXR)
  :PRECONDITION
  (AND
    (AT ?TRUCK ?LOC)
    (IN ?PKG ?TRUCK))
  :EFFECT
  (AND
    (NOT (IN ?PKG ?TRUCK))
    (AT ?PKG ?LOC)))
 (:ACTION IOV :PARAMETERS (?PKG - UVT ?AIRPLANE - QGZ ?LOC - YXR)
  :PRECONDITION
  (AND
    (IN ?PKG ?AIRPLANE)
    (AT ?AIRPLANE ?LOC))
  :EFFECT
  (AND
    (NOT (IN ?PKG ?AIRPLANE))
    (AT ?PKG ?LOC)))
 (:ACTION YMW :PARAMETERS
  (?TRUCK - VWL ?LOC-FROM - YXR ?LOC-TO - YXR ?CITY - DXB)
  :PRECONDITION
  (AND
    (AT ?TRUCK ?LOC-FROM)
    (IN-CITY ?LOC-FROM ?CITY)
    (IN-CITY ?LOC-TO ?CITY))
  :EFFECT
  (AND
    (NOT (AT ?TRUCK ?LOC-FROM))
    (AT ?TRUCK ?LOC-TO)))
 (:ACTION YIQ :PARAMETERS
  (?AIRPLANE - QGZ ?LOC-FROM - WDC ?LOC-TO - WDC) :PRECONDITION
  (AT ?AIRPLANE ?LOC-FROM) :EFFECT
  (AND
    (NOT (AT ?AIRPLANE ?LOC-FROM))
    (AT ?AIRPLANE ?LOC-TO))))