
(DEFINE (DOMAIN GIBBERISH-LOGISTICS)
 (:REQUIREMENTS :STRIPS :TYPING)
 (:TYPES
   CEY FKW - BEK
   KOQ PQL - FFH
   QLE VVD - KOQ
   BEK CYZ FFH - OBJECT)
 (:PREDICATES (IN-CITY ?LOC - BEK ?CITY - CYZ)
  (AT ?OBJ - FFH ?LOC - BEK) (IN ?PKG - PQL ?VEH - KOQ))
 (:ACTION VDB :PARAMETERS (?PKG - PQL ?TRUCK - QLE ?LOC - BEK)
  :PRECONDITION
  (AND
    (AT ?TRUCK ?LOC)
    (AT ?PKG ?LOC))
  :EFFECT
  (AND
    (NOT (AT ?PKG ?LOC))
    (IN ?PKG ?TRUCK)))
 (:ACTION OPX :PARAMETERS (?PKG - PQL ?AIRPLANE - VVD ?LOC - BEK)
  :PRECONDITION
  (AND
    (AT ?PKG ?LOC)
    (AT ?AIRPLANE ?LOC))
  :EFFECT
  (AND
    (NOT (AT ?PKG ?LOC))
    (IN ?PKG ?AIRPLANE)))
 (:ACTION HPM :PARAMETERS (?PKG - PQL ?TRUCK - QLE ?LOC - BEK)
  :PRECONDITION
  (AND
    (AT ?TRUCK ?LOC)
    (IN ?PKG ?TRUCK))
  :EFFECT
  (AND
    (NOT (IN ?PKG ?TRUCK))
    (AT ?PKG ?LOC)))
 (:ACTION CRJ :PARAMETERS (?PKG - PQL ?AIRPLANE - VVD ?LOC - BEK)
  :PRECONDITION
  (AND
    (IN ?PKG ?AIRPLANE)
    (AT ?AIRPLANE ?LOC))
  :EFFECT
  (AND
    (NOT (IN ?PKG ?AIRPLANE))
    (AT ?PKG ?LOC)))
 (:ACTION FOT :PARAMETERS
  (?TRUCK - QLE ?LOC-FROM - BEK ?LOC-TO - BEK ?CITY - CYZ)
  :PRECONDITION
  (AND
    (AT ?TRUCK ?LOC-FROM)
    (IN-CITY ?LOC-FROM ?CITY)
    (IN-CITY ?LOC-TO ?CITY))
  :EFFECT
  (AND
    (NOT (AT ?TRUCK ?LOC-FROM))
    (AT ?TRUCK ?LOC-TO)))
 (:ACTION SOG :PARAMETERS
  (?AIRPLANE - VVD ?LOC-FROM - CEY ?LOC-TO - CEY) :PRECONDITION
  (AT ?AIRPLANE ?LOC-FROM) :EFFECT
  (AND
    (NOT (AT ?AIRPLANE ?LOC-FROM))
    (AT ?AIRPLANE ?LOC-TO))))