
(DEFINE (DOMAIN GIBBERISH-LOGISTICS)
 (:REQUIREMENTS :STRIPS :TYPING)
 (:TYPES
   EWP XHS - JFX
   ABA YTM - NIE
   BFG JFX QOT - OBJECT
   CBF NIE - QOT)
 (:PREDICATES (IN-CITY ?LOC - JFX ?CITY - BFG)
  (AT ?OBJ - QOT ?LOC - JFX) (IN ?PKG - CBF ?VEH - NIE))
 (:ACTION ABH :PARAMETERS (?PKG - CBF ?TRUCK - ABA ?LOC - JFX)
  :PRECONDITION
  (AND
    (AT ?TRUCK ?LOC)
    (AT ?PKG ?LOC))
  :EFFECT
  (AND
    (NOT (AT ?PKG ?LOC))
    (IN ?PKG ?TRUCK)))
 (:ACTION QHU :PARAMETERS (?PKG - CBF ?AIRPLANE - YTM ?LOC - JFX)
  :PRECONDITION
  (AND
    (AT ?PKG ?LOC)
    (AT ?AIRPLANE ?LOC))
  :EFFECT
  (AND
    (NOT (AT ?PKG ?LOC))
    (IN ?PKG ?AIRPLANE)))
 (:ACTION QFQ :PARAMETERS (?PKG - CBF ?TRUCK - ABA ?LOC - JFX)
  :PRECONDITION
  (AND
    (AT ?TRUCK ?LOC)
    (IN ?PKG ?TRUCK))
  :EFFECT
  (AND
    (NOT (IN ?PKG ?TRUCK))
    (AT ?PKG ?LOC)))
 (:ACTION SJS :PARAMETERS (?PKG - CBF ?AIRPLANE - YTM ?LOC - JFX)
  :PRECONDITION
  (AND
    (IN ?PKG ?AIRPLANE)
    (AT ?AIRPLANE ?LOC))
  :EFFECT
  (AND
    (NOT (IN ?PKG ?AIRPLANE))
    (AT ?PKG ?LOC)))
 (:ACTION AXJ :PARAMETERS
  (?TRUCK - ABA ?LOC-FROM - JFX ?LOC-TO - JFX ?CITY - BFG)
  :PRECONDITION
  (AND
    (AT ?TRUCK ?LOC-FROM)
    (IN-CITY ?LOC-FROM ?CITY)
    (IN-CITY ?LOC-TO ?CITY))
  :EFFECT
  (AND
    (NOT (AT ?TRUCK ?LOC-FROM))
    (AT ?TRUCK ?LOC-TO)))
 (:ACTION SQZ :PARAMETERS
  (?AIRPLANE - YTM ?LOC-FROM - EWP ?LOC-TO - EWP) :PRECONDITION
  (AT ?AIRPLANE ?LOC-FROM) :EFFECT
  (AND
    (NOT (AT ?AIRPLANE ?LOC-FROM))
    (AT ?AIRPLANE ?LOC-TO))))